# KPN FillTag II

![KPN FillTag II](https://portal.kpnthings.com/assets/images/device-types/kpn-filltag-ii.png)

FillTag device for Waste Control applications, also known as Syren II-L Waste device.

* Supported network type(s): `KPNLORA`
* Device Specification ID: `kpn-filltag-ii`
* Device Specification UUID: `c2a13e2e-6aba-4932-9499-97ae3e825de9`

| Decoders                          | decoderSpecificationUUID               | Description                      |
| --------------------------------- | -------------------------------------- | -------------------------------- |
| Syren II-L hex based decoder (v2) | `590af144-3a1b-5742-b06d-0d187ea954a2` | Decoder for Syren II-L payloads. |
| › Syren II-L hex based decoder    | `d1d4fafd-315c-439a-a6ea-fcfb33bff701` | Syren II-L hex based decoder     |

### Syren II-L hex based decoder (v2)

Decoder for Syren II-L payloads.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name                 | type   | unit | example | description                                                                                                                           |
| -------------------- | ------ | ---- | ------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| distance             | number | m    | `2.33`  |                                                                                                                                       |
| interval             | number | s    | `14400` |                                                                                                                                       |
| measurementInterval  | number | s    | `900`   | Based on `numberOfMeasurements`, additional `distance` records with `n` times the `measurementInterval` negative `t` might be present |
| numberOfMeasurements | number |      | `12`    | The `n` amount of `distance` measurements                                                                                             |
| productId            | number |      | `12802` |                                                                                                                                       |
| rfu                  | number |      | `0`     |                                                                                                                                       |
| serialNumber         | number |      | `18173` |                                                                                                                                       |
| temperature          | number | Cel  | `16`    |                                                                                                                                       |
| type                 | number |      | `1`     |                                                                                                                                       |
| version              | number |      | `49`    |                                                                                                                                       |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "serialNumber",
        "v": 18173
    },
    {
        "n": "productId",
        "v": 12802
    },
    {
        "n": "type",
        "v": 1
    },
    {
        "n": "version",
        "v": 49
    },
    {
        "n": "measurementInterval",
        "u": "s",
        "v": 900
    },
    {
        "n": "interval",
        "u": "s",
        "v": 14400
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": 16
    },
    {
        "n": "rfu",
        "v": 0
    },
    {
        "n": "numberOfMeasurements",
        "v": 12
    },
    {
        "n": "distance",
        "u": "m",
        "v": 0.61
    },
    {
        "n": "distance",
        "t": -900,
        "u": "m",
        "v": 0.61
    },
    {
        "n": "distance",
        "t": -1800,
        "u": "m",
        "v": 0.62
    },
    {
        "n": "distance",
        "t": -2700,
        "u": "m",
        "v": 2.33
    },
    {
        "n": "distance",
        "t": -3600,
        "u": "m",
        "v": 2.33
    },
    {
        "n": "distance",
        "t": -4500,
        "u": "m",
        "v": 1.42
    },
    {
        "n": "distance",
        "t": -5400,
        "u": "m",
        "v": 1.43
    },
    {
        "n": "distance",
        "t": -6300,
        "u": "m",
        "v": 1.44
    },
    {
        "n": "distance",
        "t": -7200,
        "u": "m",
        "v": 1.42
    },
    {
        "n": "distance",
        "t": -8100,
        "u": "m",
        "v": 1.43
    },
    {
        "n": "distance",
        "t": -9000,
        "u": "m",
        "v": 1.42
    },
    {
        "n": "distance",
        "t": -9900,
        "u": "m",
        "v": 1.43
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

### › Syren II-L hex based decoder

Syren II-L hex based decoder

**Expected SenML records**

| name                 | type   | unit |
| -------------------- | ------ | ---- |
| codeIncident         | number |      |
| distance             | number | m    |
| interval             | number | s    |
| measurementInterval  | number | s    |
| numberOfMeasurements | number |      |
| productId            | number |      |
| rfu                  | number |      |
| serialNumber         | number |      |
| temperature          | number | Cel  |
| type                 | number |      |
| version              | number |      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/sensors/kpn-filltag-ii.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
